<div>
    <form [formGroup]="socioForm" novalidate>
        <mat-accordion class="socio-accordion">

            <mat-expansion-panel [expanded]="step == 0" [hideToggle]="true" (opened)="setStep(0)">
                <mat-expansion-panel-header>
                    <mat-panel-title>Informazioni personali</mat-panel-title>
                </mat-expansion-panel-header>
                <mat-form-field>
                    <input type="text" matInput formControlName="nickname" placeholder="Nickname" (change)="saveSocioChanges()">
                    <mat-error *ngIf="socioForm.controls['nickname'].invalid">Non valido</mat-error>
                </mat-form-field>
                <div style="width: 50%;"></div>
                <mat-form-field>
                    <input type="text" matInput formControlName="nome" placeholder="Nome" (change)="saveSocioChanges()" required>
                    <mat-error *ngIf="socioForm.controls['nome'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input type="text" matInput formControlName="cognome" placeholder="Cognome" required (change)="saveSocioChanges()">
                    <mat-error *ngIf="socioForm.controls['cognome'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input type="text" matInput formControlName="codice_fiscale" placeholder="Codice fiscale" required (change)="saveSocioChanges()">
                    <mat-error *ngIf="socioForm.controls['codice_fiscale'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input type="text" matInput [matDatepicker]="birthPicker"
                           formControlName="data_nascita" placeholder="Data di nascita" required
                           (change)="saveSocioChanges()" (dateChange)="saveSocioChanges()">
                    <mat-datepicker-toggle matSuffix [for]="birthPicker"></mat-datepicker-toggle>
                    <mat-datepicker #birthPicker [touchUi]="mediaService.match('(max-width: 768px)')"></mat-datepicker>
                    <mat-error *ngIf="socioForm.controls['data_nascita'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input type="text" matInput formControlName="nazionalita"
                           placeholder="Nazione di nascita" [matAutocomplete]="nations_autocomplete"
                           required (change)="saveSocioChanges()">
                    <mat-autocomplete #nations_autocomplete="matAutocomplete" (optionSelected)="saveSocioChanges()">
                        <mat-option value="{{nation.name}}" *ngFor="let nation of nations | async">{{nation.name}}</mat-option>
                    </mat-autocomplete>
                    <mat-error *ngIf="socioForm.controls['nazionalita'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input type="text" matInput formControlName="luogo_nascita" placeholder="Luogo di nascita" required (change)="saveSocioChanges()">
                    <mat-error *ngIf="socioForm.controls['luogo_nascita'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <mat-select placeholder="Tipo documento" formControlName="tipo_documento" (selectionChange)="saveSocioChanges()" required="">
                        <mat-option value="{{document_type}}" *ngFor="let document_type of document_types;">{{document_type}}</mat-option>
                    </mat-select>
                    <mat-error *ngIf="socioForm.controls['tipo_documento'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input type="text" matInput formControlName="numero_documento" placeholder="Numero documento" required (change)="saveSocioChanges()">
                    <mat-error *ngIf="socioForm.controls['numero_documento'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-action-row>
                    <button mat-button color="primary" (click)="nextStep()">Avanti</button>
                </mat-action-row>
            </mat-expansion-panel>

            <mat-expansion-panel [expanded]="step == 1" [hideToggle]="true" (opened)="setStep(1)" [disabled]="isNew">
                <mat-expansion-panel-header>
                    <mat-panel-title>Informazioni di contatto</mat-panel-title>
                </mat-expansion-panel-header>
                <mat-form-field>
                    <input type="email" matInput formControlName="email" placeholder="Email" (change)="saveSocioChanges()">
                    <mat-error *ngIf="socioForm.controls['email'].invalid">Non valido</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input type="text" matInput formControlName="telefono" placeholder="Telefono" (change)="saveSocioChanges()">
                    <mat-error *ngIf="socioForm.controls['telefono'].invalid">Non valido</mat-error>
                </mat-form-field>
                <mat-action-row>
                    <button mat-button color="accent" (click)="prevStep()">Indietro</button>
                    <button mat-button color="primary" (click)="nextStep()">Avanti</button>
                </mat-action-row>
            </mat-expansion-panel>

            <mat-expansion-panel [expanded]="step == 2" [hideToggle]="true" (opened)="setStep(2)" [disabled]="isNew">
                <mat-expansion-panel-header>
                    <mat-panel-title>Informazioni assicurative</mat-panel-title>
                </mat-expansion-panel-header>
                <mat-form-field>
                    <input type="text" matInput formControlName="tessera" placeholder="Tessera" (change)="saveSocioChanges()">
                    <mat-error *ngIf="socioForm.controls['tessera'].invalid">Non valido</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <mat-select formControlName="assicurazione" placeholder="Assicurazione" (selectionChange)="saveSocioChanges()">
                        <mat-option value="{{insurance.type}}" *ngFor="let insurance of insurances | async">{{insurance.type}}</mat-option>
                    </mat-select>
                    <mat-error *ngIf="socioForm.controls['assicurazione'].invalid">Non valido</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input type="text" matInput [matDatepicker]="certificatePicker"
                           formControlName="scadenza_certificato" placeholder="Scadenza certificato"
                           (change)="saveSocioChanges()" (dateChange)="saveSocioChanges()">
                    <mat-datepicker-toggle matSuffix [for]="certificatePicker"></mat-datepicker-toggle>
                    <mat-datepicker #certificatePicker [touchUi]="mediaService.match('(max-width: 768px)')"></mat-datepicker>
                    <mat-error *ngIf="socioForm.controls['scadenza_certificato'].invalid">Non valido</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input type="text" matInput formControlName="quota" placeholder="Quota" (change)="saveSocioChanges()">
                    <span matSuffix>€&nbsp;</span>
                    <mat-error *ngIf="socioForm.controls['quota'].invalid">Non valido</mat-error>
                </mat-form-field>
                <mat-action-row>
                    <button mat-button color="accent" (click)="prevStep()">Indietro</button>
                </mat-action-row>
            </mat-expansion-panel>

        </mat-accordion>
    </form>
</div>

<div style="display: flex; justify-content: flex-end; margin-top: 20px;" *ngIf="!isNew">
    <a mat-raised-button color="primary" routerLink="/soci/{{(socio | async)?.id}}/indirizzo">
        Indirizzo
        <mat-icon>keyboard_arrow_right</mat-icon>
    </a>
</div>
